# coding: utf-8
from django.core.files.base import ContentFile
from django.core.files.storage import default_storage


def save_file_from_bytes(content: bytes, name_with_path: str) -> str:
    """保存文件。

    返回值是新的文件路径（当文件重名的时候，会自动改名）
    """
    new_file_name = default_storage.save(name_with_path, ContentFile(content))
    return new_file_name
