#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=7.0', 'pika', 'django']

test_requirements = ['pytest>=3', ]

setup(
    author="Jian Dai",
    author_email='daijian1@qq.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="hsyc common base libs",
    entry_points={
        'console_scripts': [
            'hsyclibs=hsyclibs.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='hsyclibs',
    name='hsyclibs',
    packages=find_packages(include=['hsyclibs', 'hsyclibs.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://git.daimon.cc/common/hsyclibs',
    version='0.9.3',
    zip_safe=False,
)
